org.activiti.engine.history

## Interface HistoricActivityInstanceQuery

- All Superinterfaces:
    Query<HistoricActivityInstanceQuery,HistoricActivityInstance>

      public interface HistoricActivityInstanceQuery
      extends Query<HistoricActivityInstanceQuery,HistoricActivityInstance>

  Programmatic querying for `HistoricActivityInstance`s.
  Author:
    Tom Baeyens, Joram Barrez

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HistoricActivityInstanceQuery` | `activityId(String activityId)` Only select historic activity instances for the given activity (id from BPMN 2.0 XML)
    `HistoricActivityInstanceQuery` | `activityInstanceId(String activityInstanceId)` Only select historic activity instances with the given id (primary key within history tables).
    `HistoricActivityInstanceQuery` | `activityName(String activityName)` Only select historic activity instances for activities with the given name
    `HistoricActivityInstanceQuery` | `activityTenantId(String tenantId)` Only select historic activity instances that have the given tenant id.
    `HistoricActivityInstanceQuery` | `activityTenantIdLike(String tenantIdLike)` Only select historic activity instances with a tenant id like the given one.
    `HistoricActivityInstanceQuery` | `activityType(String activityType)` Only select historic activity instances for activities with the given activity type
    `HistoricActivityInstanceQuery` | `activityWithoutTenantId()` Only select historic activity instances that do not have a tenant id.
    `HistoricActivityInstanceQuery` | `executionId(String executionId)` Only select historic activity instances for the given execution
    `HistoricActivityInstanceQuery` | `finished()` Only select historic activity instances that are finished.
    `HistoricActivityInstanceQuery` | `orderByActivityId()` Order by activityId (needs to be followed by `Query.asc()` or `Query.desc()`).
    `HistoricActivityInstanceQuery` | `orderByActivityName()` Order by activityName (needs to be followed by `Query.asc()` or `Query.desc()`).
    `HistoricActivityInstanceQuery` | `orderByActivityType()` Order by activityType (needs to be followed by `Query.asc()` or `Query.desc()`).
    `HistoricActivityInstanceQuery` | `orderByExecutionId()` Order by executionId (needs to be followed by `Query.asc()` or `Query.desc()`).
    `HistoricActivityInstanceQuery` | `orderByHistoricActivityInstanceDuration()` Order by duration (needs to be followed by `Query.asc()` or `Query.desc()`).
    `HistoricActivityInstanceQuery` | `orderByHistoricActivityInstanceEndTime()` Order by end (needs to be followed by `Query.asc()` or `Query.desc()`).
    `HistoricActivityInstanceQuery` | `orderByHistoricActivityInstanceId()` Order by id (needs to be followed by `Query.asc()` or `Query.desc()`).
    `HistoricActivityInstanceQuery` | `orderByHistoricActivityInstanceStartTime()` Order by start (needs to be followed by `Query.asc()` or `Query.desc()`).
    `HistoricActivityInstanceQuery` | `orderByProcessDefinitionId()` Order by processDefinitionId (needs to be followed by `Query.asc()` or `Query.desc()`).
    `HistoricActivityInstanceQuery` | `orderByProcessInstanceId()` Order by processInstanceId (needs to be followed by `Query.asc()` or `Query.desc()`).
    `HistoricActivityInstanceQuery` | `orderByTenantId()` Order by tenant id (needs to be followed by `Query.asc()` or `Query.desc()`).
    `HistoricActivityInstanceQuery` | `processDefinitionId(String processDefinitionId)` Only select historic activity instances for the given process definition
    `HistoricActivityInstanceQuery` | `processInstanceId(String processInstanceId)` Only select historic activity instances with the given process instance.
    `HistoricActivityInstanceQuery` | `taskAssignee(String userId)` Only select historic activity instances for userTask activities assigned to the given user
    `HistoricActivityInstanceQuery` | `unfinished()` Only select historic activity instances that are not finished yet.

    - ### Methods inherited from interface org.activiti.engine.query.Query

      `asc, count, desc, list, listPage, singleResult`

- - ### Method Detail

    - #### activityInstanceId

          HistoricActivityInstanceQuery activityInstanceId(String activityInstanceId)

      Only select historic activity instances with the given id (primary key within history tables).

    - #### processInstanceId

          HistoricActivityInstanceQuery processInstanceId(String processInstanceId)

      Only select historic activity instances with the given process instance. ProcessInstance) ids and {@link HistoricProcessInstance} ids match.

    - #### processDefinitionId

          HistoricActivityInstanceQuery processDefinitionId(String processDefinitionId)

      Only select historic activity instances for the given process definition

    - #### executionId

          HistoricActivityInstanceQuery executionId(String executionId)

      Only select historic activity instances for the given execution

    - #### activityId

          HistoricActivityInstanceQuery activityId(String activityId)

      Only select historic activity instances for the given activity (id from BPMN 2.0 XML)

    - #### activityName

          HistoricActivityInstanceQuery activityName(String activityName)

      Only select historic activity instances for activities with the given name

    - #### activityType

          HistoricActivityInstanceQuery activityType(String activityType)

      Only select historic activity instances for activities with the given activity type

    - #### taskAssignee

          HistoricActivityInstanceQuery taskAssignee(String userId)

      Only select historic activity instances for userTask activities assigned to the given user

    - #### finished

          HistoricActivityInstanceQuery finished()

      Only select historic activity instances that are finished.

    - #### unfinished

          HistoricActivityInstanceQuery unfinished()

      Only select historic activity instances that are not finished yet.

    - #### activityTenantId

          HistoricActivityInstanceQuery activityTenantId(String tenantId)

      Only select historic activity instances that have the given tenant id.

    - #### activityTenantIdLike

          HistoricActivityInstanceQuery activityTenantIdLike(String tenantIdLike)

      Only select historic activity instances with a tenant id like the given one.

    - #### activityWithoutTenantId

          HistoricActivityInstanceQuery activityWithoutTenantId()

      Only select historic activity instances that do not have a tenant id.

    - #### orderByHistoricActivityInstanceId

          HistoricActivityInstanceQuery orderByHistoricActivityInstanceId()

      Order by id (needs to be followed by `Query.asc()` or `Query.desc()`).

    - #### orderByProcessInstanceId

          HistoricActivityInstanceQuery orderByProcessInstanceId()

      Order by processInstanceId (needs to be followed by `Query.asc()` or `Query.desc()`).

    - #### orderByExecutionId

          HistoricActivityInstanceQuery orderByExecutionId()

      Order by executionId (needs to be followed by `Query.asc()` or `Query.desc()`).

    - #### orderByActivityId

          HistoricActivityInstanceQuery orderByActivityId()

      Order by activityId (needs to be followed by `Query.asc()` or `Query.desc()`).

    - #### orderByActivityName

          HistoricActivityInstanceQuery orderByActivityName()

      Order by activityName (needs to be followed by `Query.asc()` or `Query.desc()`).

    - #### orderByActivityType

          HistoricActivityInstanceQuery orderByActivityType()

      Order by activityType (needs to be followed by `Query.asc()` or `Query.desc()`).

    - #### orderByHistoricActivityInstanceStartTime

          HistoricActivityInstanceQuery orderByHistoricActivityInstanceStartTime()

      Order by start (needs to be followed by `Query.asc()` or `Query.desc()`).

    - #### orderByHistoricActivityInstanceEndTime

          HistoricActivityInstanceQuery orderByHistoricActivityInstanceEndTime()

      Order by end (needs to be followed by `Query.asc()` or `Query.desc()`).

    - #### orderByHistoricActivityInstanceDuration

          HistoricActivityInstanceQuery orderByHistoricActivityInstanceDuration()

      Order by duration (needs to be followed by `Query.asc()` or `Query.desc()`).

    - #### orderByProcessDefinitionId

          HistoricActivityInstanceQuery orderByProcessDefinitionId()

      Order by processDefinitionId (needs to be followed by `Query.asc()` or `Query.desc()`).

    - #### orderByTenantId

          HistoricActivityInstanceQuery orderByTenantId()

      Order by tenant id (needs to be followed by `Query.asc()` or `Query.desc()`).

Copyright © 2016 Alfresco. All rights reserved.